#include <bits/stdc++.h>

std::string stein(int a,int b,int x,int y)
{
    if(a==x && b==y) return "nijedan";
    if(a==x && b<y) return "drugi";
    if(a<x && b==y) return "prvi";
    return "?";
}

int main()
{
    int a,b,x,y;
    std::cin>>a>>b;
    std::cin>>x>>y;
    std::cout<<stein(x,y,a,b);
    return 0;
}